## r-cran-powerlaw 0.70.2

=== DESCRIPTION ===
Package: poweRlaw
Type: Package
Title: Analysis of Heavy Tailed Distributions
Version: 0.70.2
Authors@R: person(given="Colin", family="Gillespie",
    email="csgillespie@gmail.com", role = c("aut", "cre"))
Maintainer: Colin Gillespie <csgillespie@gmail.com>
Description: An implementation of maximum likelihood estimators for a variety
    of heavy tailed distributions, including both the discrete and continuous
    power law distributions. Additionally, a goodness-of-fit based approach is
    used to estimate the lower cut-off for the scaling region.
URL: https://github.com/csgillespie/poweRlaw
BugReports: https://github.com/csgillespie/poweRlaw/issues
Depends: R (>= 3.4.0)
Imports: VGAM, parallel, methods, utils, stats
Suggests: knitr, R.matlab, testthat, codetools, covr
VignetteBuilder: knitr
License: GPL-2 | GPL-3
Collate: 'aaa_all_classes.R' 'AllGenerics.R' 'bootstrap.R'
        'bootstrap_p.R' 'checks.R' 'compare_distributions.R'
        'ctn_helper_functions.R' 'data_help_files.R' 'def_conexp.R'
        'def_conlorm.R' 'def_conpl.R' 'def_conweibull.R' 'def_disexp.R'
        'def_dislnorm.R' 'def_displ.R' 'def_dispois.R' 'def_template.R'
        'dist_data_cdf_methods.R' 'estimate_pars.R' 'estimate_xmin.R'
        'get_n.R' 'get_ntail.R' 'lines_methods.R' 'plcon.R' 'pldis.R'
        'plot_methods.R' 'points_methods.R' 'poweRlaw-package.R'
        'show_methods.R' 'timer.R'
ByteCompile: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-01-10 14:54:44 UTC; ncsg3
Author: Colin Gillespie [aut, cre]
Repository: CRAN
Date/Publication: 2019-01-10 16:10:13 UTC

=== debian/changelog ===
r-cran-powerlaw (0.70.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Dylan Aïssi <daissi@debian.org>  Mon, 14 Jan 2019 08:04:11 +0100

r-cran-powerlaw (0.70.1-2) unstable; urgency=medium

  * d/copyright: It is GPL-2+ (rather than GPL-2)
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 19:57:21 +0200

r-cran-powerlaw (0.70.1-1) unstable; urgency=medium

  * Initial release (closes: #900267)

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 11:00:34 +0200

=== debian/control ===
Source: r-cran-powerlaw
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-vgam
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw.git
Homepage: https://cran.r-project.org/package=poweRlaw

Package: r-cran-powerlaw
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R analysis of heavy tailed distributions
 GNU R implementation of maximum likelihood estimators for a variety
 of heavy tailed distributions, including both the discrete and continuous
 power law distributions. Additionally, a goodness-of-fit based approach is
 used to estimate the lower cut-off for the scaling region.

## r-cran-powerlaw 0.70.6

=== DESCRIPTION ===
Type: Package
Package: poweRlaw
Title: Analysis of Heavy Tailed Distributions
Version: 0.70.6
Authors@R: 
    person(given = "Colin",
           family = "Gillespie",
           role = c("aut", "cre"),
           email = "csgillespie@gmail.com",
           comment = c(ORCID = "0000-0003-1787-0275"))
Maintainer: Colin Gillespie <csgillespie@gmail.com>
Description: An implementation of maximum likelihood estimators
    for a variety of heavy tailed distributions, including both the
    discrete and continuous power law distributions. Additionally, a
    goodness-of-fit based approach is used to estimate the lower cut-off
    for the scaling region.
License: GPL-2 | GPL-3
URL: https://github.com/csgillespie/poweRlaw
BugReports: https://github.com/csgillespie/poweRlaw/issues
Depends: R (>= 3.4.0)
Imports: methods, parallel, pracma, stats, utils
Suggests: covr, knitr, testthat
VignetteBuilder: knitr
ByteCompile: true
Encoding: UTF-8
RoxygenNote: 7.1.0
Collate: 'aaa_all_classes.R' 'all_generics.R' 'bootstrap.R'
        'bootstrap_p.R' 'checks.R' 'compare_distributions.R'
        'conlnorm.R' 'data_help_files.R' 'def_conexp.R' 'def_conpl.R'
        'def_conweibull.R' 'def_disexp.R' 'def_dislnorm.R'
        'def_displ.R' 'def_dispois.R' 'def_template.R'
        'dist_data_cdf_methods.R' 'estimate_pars.R' 'estimate_xmin.R'
        'get_n.R' 'get_ntail.R' 'lines_methods.R' 'plcon.R' 'pldis.R'
        'plot_methods.R' 'points_methods.R' 'powerlaw-package.R'
        'show_methods.R' 'timer.R'
NeedsCompilation: no
Packaged: 2020-04-24 10:44:31 UTC; ncsg3
Author: Colin Gillespie [aut, cre] (<https://orcid.org/0000-0003-1787-0275>)
Repository: CRAN
Date/Publication: 2020-04-25 07:30:12 UTC

=== debian/changelog ===
r-cran-powerlaw (0.70.6-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:19:59 +0000

r-cran-powerlaw (0.70.6-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 21:40:30 +0200

r-cran-powerlaw (0.70.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Apr 2020 10:53:01 +0200

r-cran-powerlaw (0.70.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Apr 2020 10:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-vgam
-Standards-Version: 4.3.0
+               r-cran-pracma
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw.git
 Homepage: https://cran.r-project.org/package=poweRlaw
+Rules-Requires-Root: no
 
 Package: r-cran-powerlaw
 Architecture: all

## r-cran-powerlaw 0.80.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: poweRlaw
 Title: Analysis of Heavy Tailed Distributions
-Version: 0.70.6
+Version: 0.80.0
 Authors@R: 
     person(given = "Colin",
            family = "Gillespie",
@@ -23,7 +23,6 @@
 VignetteBuilder: knitr
 ByteCompile: true
 Encoding: UTF-8
-RoxygenNote: 7.1.0
 Collate: 'aaa_all_classes.R' 'all_generics.R' 'bootstrap.R'
         'bootstrap_p.R' 'checks.R' 'compare_distributions.R'
         'conlnorm.R' 'data_help_files.R' 'def_conexp.R' 'def_conpl.R'
@@ -33,8 +32,9 @@
         'get_n.R' 'get_ntail.R' 'lines_methods.R' 'plcon.R' 'pldis.R'
         'plot_methods.R' 'points_methods.R' 'powerlaw-package.R'
         'show_methods.R' 'timer.R'
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2020-04-24 10:44:31 UTC; ncsg3
+Packaged: 2024-01-25 10:39:42 UTC; colin
 Author: Colin Gillespie [aut, cre] (<https://orcid.org/0000-0003-1787-0275>)
 Repository: CRAN
-Date/Publication: 2020-04-25 07:30:12 UTC
+Date/Publication: 2024-01-25 18:00:02 UTC

=== debian/changelog ===
r-cran-powerlaw (0.80.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 21:57:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-powerlaw
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw.git
+Homepage: https://cran.r-project.org/package=poweRlaw
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-pracma
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw.git
-Homepage: https://cran.r-project.org/package=poweRlaw
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-powerlaw
 Architecture: all

## r-cran-powerlaw 1.0.0

=== DESCRIPTION ===
Type: Package
Package: poweRlaw
Title: Analysis of Heavy Tailed Distributions
Version: 1.0.0
Authors@R: 
    person("Colin", "Gillespie", , "csgillespie@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-1787-0275"))
Maintainer: Colin Gillespie <csgillespie@gmail.com>
Description: An implementation of maximum likelihood estimators for a
    variety of heavy tailed distributions, including both the discrete and
    continuous power law distributions. Additionally, a goodness-of-fit
    based approach is used to estimate the lower cut-off for the scaling
    region.
License: GPL-2 | GPL-3
URL: https://github.com/csgillespie/poweRlaw,
        http://csgillespie.github.io/poweRlaw/
BugReports: https://github.com/csgillespie/poweRlaw/issues
Depends: R (>= 3.4.0)
Imports: methods, parallel, pracma, stats, utils
Suggests: covr, knitr, testthat
VignetteBuilder: knitr
ByteCompile: true
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.3.2
Collate: 'aaa_all_classes.R' 'all_generics.R' 'bootstrap.R'
        'bootstrap_p.R' 'checks.R' 'compare_distributions.R'
        'conlnorm.R' 'data_help_files.R' 'def_conexp.R' 'def_conpl.R'
        'def_conweibull.R' 'def_disexp.R' 'def_dislnorm.R'
        'def_displ.R' 'def_dispois.R' 'def_template.R'
        'dist_data_cdf_methods.R' 'estimate_pars.R' 'estimate_xmin.R'
        'get_n.R' 'get_ntail.R' 'lines_methods.R' 'plcon.R' 'pldis.R'
        'plot_methods.R' 'points_methods.R' 'powerlaw-package.R'
        'show_methods.R' 'timer.R'
NeedsCompilation: no
Packaged: 2025-02-02 21:28:29 UTC; colin
Author: Colin Gillespie [aut, cre] (<https://orcid.org/0000-0003-1787-0275>)
Repository: CRAN
Date/Publication: 2025-02-03 09:30:02 UTC

=== debian/changelog ===
r-cran-powerlaw (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Feb 2025 09:26:46 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-powerlaw.git
 Homepage: https://cran.r-project.org/package=poweRlaw
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/poweRlaw_([-\d.]*)\.tar\.gz
